function makeGraphs0518c()

savePrefix = 'best-fitness';
figwidth   = 0.8;
label_y    = 'ISCAS circuit';
figTitle   = 'Fittest individuals found by PSG';

data = getDataBestFitness();
combs  = data(:,1);
deltas = data(:,2);
ps     = data(:,3);
fits   = data(:,4) .* 100;

numC = length(combs);
circuits = cell(1,numC);
for i=1:numC
  circuits{i} = getIscasName(combs(i));
end

%%% Plot graph
circuits = fliplr(circuits);
deltas   = flipud(deltas);
ps       = flipud(ps);
fits     = flipud(fits);

colormap mycolormap0515;
bardata = [ fits ps deltas ];
barh( bardata, 1.5 );

ylabel(label_y);
set(gca,'YTickLabel',circuits);
title(figTitle);
legend( 'Best fitness found [%]', 'No. of processors p', 'Degree \delta', ...
        'Orientation','vertical', 'Location','SouthEast');
% ylim([0 numC+1]);
xlim([0 105])
grid on;
% orient tall;

saveas(gcf, [savePrefix '.eps'], 'psc2' );
saveas(gcf, [savePrefix '.fig'] );
saveas(gcf, [savePrefix '.png'] );

set(gcf,'PaperUnits','normalized');
set(gcf,'PaperType','A4');
set(gcf,'PaperOrientation','Landscape');
set(gcf,'PaperPosition',[.1 .1 .8 .8]);
saveas(gcf, [savePrefix '.pdf'] );


%%% Write out stuff to paste into thesis.
width = num2str(figwidth);
fid = fopen('bestfitness.figures.txt','wt');

fprintf(fid, '\n\n%%%%%% Figure showing best fitness found\n');
  filename = sprintf('rfc/%s', savePrefix);
  label    = 'fig:RfcBestFitness';
  capShort = 'Best fitness values found by PSG during scalability testing.';
  capLong  = 'Best fitness values found by PSG during scalability testing, along with the configuration that found it.';
  
  fprintf(fid, '\\begin{figure}[htbp]\n');
  fprintf(fid, '  \\sffamily\n');
  fprintf(fid, '  \\begin{center}\n');
  fprintf(fid, '    \\includegraphics[width=%s\\textwidth]{%s}\n', width, filename);
  fprintf(fid, '    \\caption[%s]\n', capShort);
  fprintf(fid, '            {%s}\n', capLong);
  fprintf(fid, '    \\label{%s}\n', label);
  fprintf(fid, '  \\end{center}\n');
  fprintf(fid, '\\end{figure}\n\n');


fprintf(fid, '\n\n%%%%%% References to graph\n');
  fprintf(fid, '\\autoref{%s}\n', label);
  fprintf(fid, '\\ref{%s}\n\n', label);

fclose(fid);

end
